/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/tags.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/tags.xml',
'<View title="Tags" defaultFormHandler="xxas_com_tags_pkg.tags_post_handler"
      showSubmit="false" autosave="true" autosaveTimeout="3000"
       autosaveMessage="{message.XXAS_COM_CHNG_SAVE}">

  <EditFields>

      <Hidden id="CREATE_ALLOWED"/>
      <Html id="NO_DATA_MESSAGE" value="{message.XXAS_RB_EMP_NO_TAGS}" hideIf="model.CREATE_ALLOWED.value==&apos;Y&apos; || model.TAGS.value.length > 0"/>
      <Combolist id="TAGS" label="{message.XXAS_TAGS_LABEL}" emptyValue="{message.XXAS_RB_EMP_TAG_ADD}"
                 listProvider="REST:tags/by-person?q={searchText}" longlist="true" multipleSelection="true" style="tags"
                 hideIf="model.CREATE_ALLOWED.value==&apos;N&apos; &amp;&amp; model.TAGS.value.length == 0" allowNewValues="true"/>
      
  </EditFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/tags.xml');
END;
/
COMMIT;
EXIT;
